# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils

MY_P=${P/ngraph/Ngraph}
MY_P=${MY_P/03/3}

DESCRIPTION="Ngraph is the program creating scientific 2-dimensional graphs"
HOMEPAGE="http://www2e.biglobe.ne.jp/~isizaka/"
SRC_URI="http://www2e.biglobe.ne.jp/~isizaka/bin/${MY_P}-src.tar.gz
http://www2e.biglobe.ne.jp/~isizaka/bin/${MY_P}-doc.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~ppc"
IUSE="addin doc linguas_ja"

DEPEND="x11-libs/openmotif"
RDEPEND="${DEPEND}
addin? ( dev-lang/tk )"

src_unpack() {
	unpack ${A}
	cd ${MY_P}-src
	sed -i -e 's/-O2 -m486/${CFLAGS}/g' Makefile
	sed -i -e 's:/usr/local:${D}usr:g' Makefile
	sed -i -e '/(STRIP)/d' Makefile x11addin/Makefile x11drive/Makefile
	if ! use linguas_ja; then
		sed -i -e 's/-DJAPANESE//g' Makefile
	fi
	sed -i -e '/^${NGRAPHINSTALLED}/i export NGRAPHLIB=/usr/lib/Ngraph' \
	ngraph.sh
	epatch "${FILESDIR}/${PN}-install_sh.patch"
}

src_compile() {
	cd ${WORKDIR}/${MY_P}-src
	emake || die "Make failed!"
}

src_install() {
	cd ${WORKDIR}/${MY_P}-src
	make DESTDIR="${D}" install || die "Compilation failed!"

	cd ${WORKDIR}/doc
	if use doc; then
		dohtml -r *
	fi
}
